//+------------------------------------------------------------------+
//|                                     ytg_Change_Price_Percent.mq4 |
//|                                   Copyright  2009, Yuriy Tokman |
//|                                            yuriytokman@gmail.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2009, Yuriy Tokman"
#property link      "yuriytokman@gmail.com"

#property indicator_chart_window



extern string    Symbol1       = "EURUSD";
extern string    Symbol2       = "EURGBP";
extern string    Symbol3       = "EURCHF";
extern string    Symbol4       = "EURAUD";
extern string    Symbol5       = "EURNZD";
extern string    Symbol6       = "EURCAD";
extern string    Symbol7       = "EURJPY";
extern int       tf            = 0;
extern datetime  Time0         = D'2009.08.25 00:00'; 
extern int       _ = 12;
extern int       _ = 1;
extern color     color_up      = Lime;
extern color     color_down    = Magenta;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   ObjectCreate("Symbol1",OBJ_LABEL,0,0,0,0,0);
   ObjectCreate("Symbol2",OBJ_LABEL,0,0,0,0,0);   
   ObjectCreate("Symbol3",OBJ_LABEL,0,0,0,0,0);   
   ObjectCreate("Symbol4",OBJ_LABEL,0,0,0,0,0);
   ObjectCreate("Symbol5",OBJ_LABEL,0,0,0,0,0);
   ObjectCreate("Symbol6",OBJ_LABEL,0,0,0,0,0);
   ObjectCreate("Symbol7",OBJ_LABEL,0,0,0,0,0);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   ObjectDelete ("Symbol1");
   ObjectDelete ("Symbol2");   
   ObjectDelete ("Symbol3");   
   ObjectDelete ("Symbol4");
   ObjectDelete ("Symbol5");
   ObjectDelete ("Symbol6");
   ObjectDelete ("Symbol7");  
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
//----
     double sym_1 =NormalizeDouble((MarketInfo(Symbol1,MODE_BID) - iClose(Symbol1,tf,iBarShift(Symbol1,tf,Time0,0)))*100/iClose(Symbol1,tf,iBarShift(Symbol1,tf,Time0,0)),2);
     double sym_2 =NormalizeDouble((MarketInfo(Symbol2,MODE_BID) - iClose(Symbol2,tf,iBarShift(Symbol2,tf,Time0,0)))*100/iClose(Symbol2,tf,iBarShift(Symbol2,tf,Time0,0)),2);
     double sym_3 =NormalizeDouble((MarketInfo(Symbol3,MODE_BID) - iClose(Symbol3,tf,iBarShift(Symbol3,tf,Time0,0)))*100/iClose(Symbol3,tf,iBarShift(Symbol3,tf,Time0,0)),2);
     double sym_4 =NormalizeDouble((MarketInfo(Symbol4,MODE_BID) - iClose(Symbol4,tf,iBarShift(Symbol4,tf,Time0,0)))*100/iClose(Symbol4,tf,iBarShift(Symbol4,tf,Time0,0)),2);
     double sym_5 =NormalizeDouble((MarketInfo(Symbol5,MODE_BID) - iClose(Symbol5,tf,iBarShift(Symbol5,tf,Time0,0)))*100/iClose(Symbol5,tf,iBarShift(Symbol5,tf,Time0,0)),2);
     double sym_6 =NormalizeDouble((MarketInfo(Symbol6,MODE_BID) - iClose(Symbol6,tf,iBarShift(Symbol6,tf,Time0,0)))*100/iClose(Symbol6,tf,iBarShift(Symbol6,tf,Time0,0)),2);
     double sym_7 =NormalizeDouble((MarketInfo(Symbol7,MODE_BID) - iClose(Symbol7,tf,iBarShift(Symbol7,tf,Time0,0)))*100/iClose(Symbol7,tf,iBarShift(Symbol7,tf,Time0,0)),2);
//----
     color color_1 = 0, color_2 = 0, color_3 = 0, color_4 = 0, color_5 = 0, color_6 = 0, color_7 = 0;
     
     if(sym_1>0)color_1=color_up; else color_1=color_down;
     if(sym_2>0)color_2=color_up; else color_2=color_down;     
     if(sym_3>0)color_3=color_up; else color_3=color_down;     
     if(sym_4>0)color_4=color_up; else color_4=color_down;
     if(sym_5>0)color_5=color_up; else color_5=color_down;
     if(sym_6>0)color_6=color_up; else color_6=color_down;
     if(sym_7>0)color_7=color_up; else color_7=color_down;     
//----
     string Symbol_1 =" = "+DoubleToStr(sym_1, 2)+" %";
     string Symbol_2 =" = "+DoubleToStr(sym_2, 2)+" %";
     string Symbol_3 =" = "+DoubleToStr(sym_3, 2)+" %";     
     string Symbol_4 =" = "+DoubleToStr(sym_4, 2)+" %";
     string Symbol_5 =" = "+DoubleToStr(sym_5, 2)+" %";
     string Symbol_6 =" = "+DoubleToStr(sym_6, 2)+" %";     
     string Symbol_7 =" = "+DoubleToStr(sym_7, 2)+" %";
//----
     ObjectSetText("Symbol1",Symbol1+Symbol_1,_,"Arial Black",Lime);
     ObjectSet("Symbol1",OBJPROP_XDISTANCE,3);     
     ObjectSet("Symbol1",OBJPROP_YDISTANCE,30);
     ObjectSet("Symbol1",OBJPROP_COLOR,color_1);
     ObjectSet("Symbol1",OBJPROP_CORNER,_);
     
     ObjectSetText("Symbol2",Symbol2+Symbol_2,_,"Arial Black",Lime);
     ObjectSet("Symbol2",OBJPROP_XDISTANCE,3);     
     ObjectSet("Symbol2",OBJPROP_YDISTANCE,50);
     ObjectSet("Symbol2",OBJPROP_COLOR,color_2);
     ObjectSet("Symbol2",OBJPROP_CORNER,_);     
     
     ObjectSetText("Symbol3",Symbol3+Symbol_3,_,"Arial Black",Lime);
     ObjectSet("Symbol3",OBJPROP_XDISTANCE,3);     
     ObjectSet("Symbol3",OBJPROP_YDISTANCE,70);
     ObjectSet("Symbol3",OBJPROP_COLOR,color_3);
     ObjectSet("Symbol3",OBJPROP_CORNER,_);     
     
     ObjectSetText("Symbol4",Symbol4+Symbol_4,_,"Arial Black",Lime);
     ObjectSet("Symbol4",OBJPROP_XDISTANCE,3);     
     ObjectSet("Symbol4",OBJPROP_YDISTANCE,90);
     ObjectSet("Symbol4",OBJPROP_COLOR,color_4);    
     ObjectSet("Symbol4",OBJPROP_CORNER,_);
     
     ObjectSetText("Symbol5",Symbol5+Symbol_5,_,"Arial Black",Lime);
     ObjectSet("Symbol5",OBJPROP_XDISTANCE,3);     
     ObjectSet("Symbol5",OBJPROP_YDISTANCE,110);
     ObjectSet("Symbol5",OBJPROP_COLOR,color_5);    
     ObjectSet("Symbol5",OBJPROP_CORNER,_);

     ObjectSetText("Symbol6",Symbol6+Symbol_6,_,"Arial Black",Lime);
     ObjectSet("Symbol6",OBJPROP_XDISTANCE,3);     
     ObjectSet("Symbol6",OBJPROP_YDISTANCE,130);
     ObjectSet("Symbol6",OBJPROP_COLOR,color_6);    
     ObjectSet("Symbol6",OBJPROP_CORNER,_);
           
     ObjectSetText("Symbol7",Symbol7+Symbol_7,_,"Arial Black",Lime);
     ObjectSet("Symbol7",OBJPROP_XDISTANCE,3);     
     ObjectSet("Symbol7",OBJPROP_YDISTANCE,150);
     ObjectSet("Symbol7",OBJPROP_COLOR,color_7);    
     ObjectSet("Symbol7",OBJPROP_CORNER,_);
     
//----
   return(0);
  }
//+------------------------------------------------------------------+
          
     
     
     
     
  
      

